Name:		canl-c++
Version:        0.2.0
Release:        1%{?dist}
Summary:	EMI Authentication Library c++

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	nss-devel >= 3.10
BuildRequires:  glibmm24-devel >= 2.4.7
BuildRequires:  glib2-devel
BuildRequires:  openssl-devel
BuildRequires:  cppunit-devel

#Requires:	

%package devel
Group:          Development/Libraries
Summary:        EMI Authentication Library c++ development files

%description
EMI Authentication Library c++

%description devel
EMI Authentication Library c++ development files

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name \*.la -exec rm -fv '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/libcanl_c++.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcanl_c++.so
%{_includedir}/canl-c++/dcisec.h

%changelog
* Wed May 16 2012 Anders Waananen <waananen@nbi.dk> - 0.2.0-1
- Initial version
